
Redmine - Patch #32922

Reload detached attachments

2020-01-30 00:57 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.0.0   

Description

use #reload instead, after upgrading to Rails 5

Related issues:

Related to Redmine - Feature #29914: Migrate to Rails 6.1 with Zeitwerk autol... Closed

Associated revisions

Revision 20927 - 2021-04-08 10:55 - Go MAEDA

Reload detached attachments (#32922).

Patch by Pavel Rosický.

History

#1 - 2020-01-30 08:13 - Marius BĂLTEANU

Thanks Pavel for posting the patches for Rails 6 update.

I've applied this patch on the current trunk and a test fails:

 Failure:

 AttachmentsTest#test_upload_and_resubmit_after_validation_failure [/builds/redmine-org/redmine/test/integrati

on/attachments_test.rb:113]:

 Expected at least 1 element matching "input[name="attachments[p0][description]"][value="My uploaded file"]", 

found 0..

 Expected 0 to be >= 1.

 bin/rails test test/integration/attachments_test.rb:99

 You can see the test results here.

#2 - 2020-01-30 08:14 - Marius BĂLTEANU

- Related to Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading added

#3 - 2020-01-30 12:28 - Pavel Rosický

- Status changed from New to Resolved

sry, thanks for catching this, I was confused about the comment. Closing

#4 - 2020-01-31 09:30 - Marius BĂLTEANU

- Status changed from Resolved to New

Let's keep it open, maybe we can fix the issue.

#5 - 2021-04-03 07:55 - Marius BĂLTEANU

- Subject changed from reload detached attachments to Reload detached attachments

This change passes all the tests now: https://gitlab.com/redmine-org/redmine/-/pipelines/280930686

The fail reported by me above was caused by another issue that was fixing as part of Rails 6.1 update.

#6 - 2021-04-03 07:55 - Marius BĂLTEANU
https://gitlab.com/redmine-org/redmine/pipelines/113514724
https://gitlab.com/redmine-org/redmine/-/pipelines/280930686


- Target version set to 5.0.0

#7 - 2021-04-08 10:55 - Go MAEDA

- Category set to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.
